=== debian/changelog ===
ircd-irc2 (2.11.2p2+dfsg-2) unstable; urgency=low

  * Remove auto generated dpkg-source patch.  (Closes: #643167)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 26 Sep 2011 23:04:40 +0200

ircd-irc2 (2.11.2p2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Apply upstream patch to avoid segfault caused by opers.
  * Properly clean source
  * Update debian/maint/config.h for the upstream changes.
  * Add ${misc:Depends} to the Depends line.
  * Don't add the stoplink in runlevel 1, we should get killed.
    Also tell dh_installinit not to create any stop link.
  * Install doc/INSTALL.info as an info page.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 18 Apr 2010 20:23:00 +0200

ircd-irc2 (2.11.2p1+dfsg-2) unstable; urgency=low

  * Disable ipv6 support again (Closes: #547614)
    It doesn't work without ipv6 support in the kernel.
  * Don't redirect erorrs to /dev/null in the init script.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Sep 2009 19:41:55 +0200

ircd-irc2 (2.11.2p1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Enable IPv6 support.
  * Add watch file.
  * Change debhelper compat level from 4 to 7:
    - change dh_clean -k to dh_prep
  * Update Standards-Version from 3.6.1 to 3.8.3:
    - init script returns success when ircd already running, pass --oknodo
      to start-stop-daemon
    - Create /var/run/ircd in the init script
    - Convert debian/copyright from latin1 to utf8
  * Don't fix permissions of /var/run/ircd or remove files in it from
    the postinst script.  Also don't ship that empty dir.
  * Don't remove files in and the dirs /etc/ircd on purge,
    dpkg should remove those by itself.
  * Fix copyright file to include the copyright notices and all the
    license information.

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 18 Sep 2009 21:23:33 +0200

ircd-irc2 (2.11.1p1+dfsg-2) unstable; urgency=low

  * k*BSD needs _GNU_SOURCE too.  Always use it when we have 
    __GLIBC__  (Closes: #414992)
  * Fix the default ircd.conf to point to the right location of the
    documentation.  (Closes: #373662)
  * Add LSB formatted dependency info in init.d script (Closes: #469605)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 05 Apr 2008 23:26:48 +0200

ircd-irc2 (2.11.1p1+dfsg-1) unstable; urgency=low

  * Make new orig tarball with the RFCs removed because
    they're non-free (Closes: #365194)

 -- Kurt Roeckx <kurt@roeckx.be>  Sat,  6 May 2006 19:32:05 +0200

ircd-irc2 (2.11.1p1-1) unstable; urgency=low

  * New maintainer, adopting package.
  * Acknowledge my own NMU (Closes: #318738)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 28 Apr 2006 20:26:45 +0200

ircd-irc2 (2.11.1p1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Fix configure script detection of pow in -lm (Closes: #318738)
    - Apply upstream changes of config.h.dist to debian/maint/config.h
  * Change default ircd.conf to allow connections.

 -- Kurt Roeckx <kurt@roeckx.be>  Sat,  4 Mar 2006 16:38:25 +0100

ircd-irc2 (2.11.0-1) unstable; urgency=low

  * New upstream version -- introducing irc2.11 along with these changes:
    - define CLONE_CHECK, no longer define SIXBONE_HACK and SLOW_ACCEPT
    - removed the ircd-irc2-client package as client is gone from source
    - multiple very small changes to adapt the package to new conditions

 -- Martin Loschwitz <madkiss@debian.org>  Sat,  01 Jan 2005 10:19:00 +0100

ircd-irc2 (2.10.3p7-1) unstable; urgency=low

  * New upstream version (Closes: #256264)
  * Thanks goes to Kurt Roeckx for preparing this release along with these
    changes:

     - debian/copyright: Corrected link to Download-Site
     - debian/docs: Install INSTALL.* files
     - debian/rules: Don't install ircd.m4 (it's disabled anyway)
     - debian/maint/ircd.conf: Point to INSTALL.* files as help
     - debian/maint/ircd.conf: Changed M-Line (work on more systems)
     - debian/maint/config.h: Adapted to the latest changes:
           * Enable usage of Unix domain sockets
           * Enable usage of compressed server links

  * Updated config.guess/config.sub

 -- Martin Loschwitz <madkiss@debian.org>  Thu,  29 Jul 2004 17:22:00 +0200
 

ircd-irc2 (2.10.3p5-2) unstable; urgency=high

  * Another upload with higher urgency (move faster torwards testing)

 -- Martin Loschwitz <madkiss@debian.org>  Wed,  15 Oct 2003 20:20:00 +0200

ircd-irc2 (2.10.3p5-1) unstable; urgency=low

  * New upstream version to fix security issues (Closes: #215844)
  * debian/control: Changed Maintainer's E-Mail address
  * debian/control: Bumped Standards-Version
  * debian/compat: Created, Updated to v4

 -- Martin Loschwitz <madkiss@debian.org>  Wed,  15 Oct 2003 20:06:00 +0200

ircd-irc2 (2.10.3p3-1) unstable; urgency=low

  * Initial Release. (Closes: #141950)
  * updated config.guess/config.sub

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed,  04 May 2002 11:51:00 +0200
