=== debian/control ===
Source: ircd-irc2
Section: net
Priority: optional
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Build-Depends: debhelper (>> 7.0.0), zlib1g-dev, autotools-dev
Standards-Version: 3.8.3

Package: ircd-irc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: dancer-ircd, ircd, ircd-dalnet
Description: The original IRC server daemon
 This is the original Internet Relay Chat (IRC) daemon, allowing interactive
 character based communication between people connected to this server
 with IRC clients.
 .
 This version of ircd is mostly used on the IRCNet irc network.
