=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
	http://ftp.irc.org/ftp/irc/server/irc(.*)\.tgz debian uupdate
