=== debian/changelog ===
ircd-irc2 (2.11.2p3~dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary dh-systemd build-dep, because debhelper (>= 9.20160709)
    already provides this (Closes: #958604).
  * ircd-irc2.lintian-overrides:
    "package-contains-upstream-install-documentation" no longer exists, so
    use its replacement "package-contains-upstream-installation-documentation".

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 09 Dec 2020 21:13:51 -0500

ircd-irc2 (2.11.2p3~dfsg-5) unstable; urgency=medium

  * Update defaults to production use case
  * Fix init script to background (Closes: #864591)
    Add systemd service additionally to sysvinit and migrate where systemd is
    available.
    Restart service after update
  * Adding reproducible build patch (Closes: #834956)
  * Tighten security by default on /etc/ircd
  * Add default /etc/ircd/ircd.m4

 -- Kilian Krause <kilian@debian.org>  Wed, 26 Jul 2017 10:49:18 +0200

ircd-irc2 (2.11.2p3~dfsg-4) unstable; urgency=medium

  * Don't print ircd.conf to console in postinst
  * Ensure grep in postinst is only run if there is a ircd.conf
    (Closes: #760369)
  * Update exmaple config with % instead of : to meet new IPv6 config
    delimiter (Closes: #760371)
  * debian/patches/01_manpages.patch: Fix manpages lintian warnings
  * synthesize dircategory and direntry in ircd-irc2.info to please lintian

 -- Kilian Krause <kilian@debian.org>  Fri, 05 Sep 2014 09:29:05 +0200

ircd-irc2 (2.11.2p3~dfsg-3) unstable; urgency=medium

  * ircd.conf delimiter is % globally with IPv6. Convert all lines to %. 

 -- Kilian Krause <kilian@debian.org>  Wed, 03 Sep 2014 11:50:27 +0200

ircd-irc2 (2.11.2p3~dfsg-2) unstable; urgency=medium

  * Pass CPPFLAGS as CFLAGS to make sure build system will not ignore them

 -- Kilian Krause <kilian@debian.org>  Tue, 02 Sep 2014 21:12:49 +0200

ircd-irc2 (2.11.2p3~dfsg-1) unstable; urgency=low

  * New upstream release: 2.11.2p3
  * Add myself to Uploaders
  * Update debian/watch: ~dfsg instead of +dfsg, use svn-upgrade
  * debian/rules: add get-orig-source target to do the automatic repacking
  * Ignore missing debian/maint/ircd-irc2.info upon clean
  * Remove irc2.11.2p2-s_conf.c.diff - incorporated upstream
  * Check upstream gpg signature in debian/watch
  * Add Homepage field
  * Shut up lintian:
   - set -e on its own line instead of shebang
   - source LSB function in init script
   - description-synopsis-starts-with-article (set override)
  * debian/copyright talking about GPL as symlink corrected to GPL-1
  * Enable IPv6 support
  * Bump compat level to 9
  * Bump b-d for debhelper to 9 too
  * Add dpkg-buildflags to configure call for hardening
  * Add dpkg-buildflags to build target too
  * Add Vcs-* Entries to debian/control
  * Add status target to init script
  * Add description to init script to shut up lintian
  * Fix permissions of /var/log/ircd/ - set owner to user irc
  * Add more verbose whatis entry in ircd-mkpasswd.8 to shut up lintian
  * Update P/M lines in default config to % instead of : since we're IPv6 now.
    Add postinst script to auto-adjust existing configs (Closes: #547613)
  * Bump Standards-Version to 3.9.5 - no changes needed.
  * debian/rules: Update to dh-style

 -- Kilian Krause <kilian@debian.org>  Mon, 01 Sep 2014 22:23:39 +0200
