=== debian/control ===
Source: ircd-irc2
Section: net
Priority: optional
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Uploaders: Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 9.20160709~), zlib1g-dev, autotools-dev
Standards-Version: 3.9.5
Homepage: http://www.irc.org/
Vcs-Svn: https://anonscm.debian.org/collab-maint/deb-maint/ircd-irc2/
Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/ircd-irc2/

Package: ircd-irc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, m4, lsb-base (>= 3.0-6)
Conflicts: dancer-ircd, ircd, ircd-dalnet
Description: The original IRC server daemon
 This is the original Internet Relay Chat (IRC) daemon, allowing interactive
 character based communication between people connected to this server
 with IRC clients.
 .
 This version of ircd is mostly used on the IRCNet irc network.
