=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg$//,pgpsigurlmangle=s/$/.asc/ \
	http://ftp.irc.org/ftp/irc/server/irc(.*)\.tgz debian svn-upgrade
